EnKash Developer Portal
Home
Home
Login
  1. Home
  • Back to home
  • APIs - Expense
  • Token API
    POST
  • Account Transaction
    POST
  • Search expenses
    POST
  • Create Card Expense
    POST
  • Attach Expense Receipt
    POST
  • Create Travel Request
    POST
  1. Home

Search expenses

POST
/api/v0/partner/expense/search
Returns expenses for your company.
Send paymentIdentifier to find one booking. Send expenseSettlementStatus APPROVED or SETTLED to see approved or paid expenses.
The booking id comes back as enkashTransactionId. The invoice number comes back as assignment.
enkashApprovedDate is the approval date, and is present only after the expense is approved.

Request

Query Params

Header Params

Body Params application/jsonRequired

Example
{
    "userType": "MANAGER",
    "paymentIdentifier": "string",
    "expenseId": "string",
    "expenseSettlementStatus": "AUTO_CREATED",
    "status": "APPROVED",
    "fromDate": "2026-09-01 00:00:00",
    "toDate": "2026-09-30 23:59:59"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://ekpayout-uat.enkash.in/api/v0/partner/expense/search?offset=&limit=&orderBy=&direction=' \
--header 'Authorization;' \
--header 'Accept;' \
--header 'Content-Type: application/json' \
--data '{
    "userType": "MANAGER",
    "paymentIdentifier": "string",
    "expenseId": "string",
    "expenseSettlementStatus": "AUTO_CREATED",
    "status": "APPROVED",
    "fromDate": "2026-09-01 00:00:00",
    "toDate": "2026-09-30 23:59:59"
}'

Responses

🟢200Success
application/json
Matching expenses.
Bodyapplication/json

Example
{
    "response_code": 0,
    "response_message": "SUCCESS",
    "payload": {
        "recordsCount": 0,
        "data": [
            {
                "enkashExpenseId": "string",
                "enkashTransactionId": "string",
                "assignment": "string",
                "inrAmount": 0,
                "scannedCopyLink": "string",
                "enkashApprovedDate": "2019-08-24",
                "hsnCode": "string",
                "reference": "string",
                "merchantName": "string",
                "ekUserId": "string",
                "currency": "string"
            }
        ]
    }
}
Modified at 2026-11-02 19:46:09
Previous
Account Transaction
Next
Create Card Expense
Built with